org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match

## Class DefaultMatchEngineConfiguatorUIFactory

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match.DefaultMatchEngineConfiguatorUIFactory

All Implemented Interfaces:
  IConfigurationUIFactory

    public class DefaultMatchEngineConfiguatorUIFactory
    extends Object
    implements IConfigurationUIFactory

IConfiguratorUIFactory for `DefaultRCPMatchEngineFactory`

### Constructor Summary

Constructors
Constructor and Description
`DefaultMatchEngineConfiguatorUIFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractConfigurationUI` `createUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)` Create an `AbstractConfigurationUI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMatchEngineConfiguatorUIFactory

    public DefaultMatchEngineConfiguatorUIFactory()

### Method Detail

#### createUI

    public AbstractConfigurationUI createUI(org.eclipse.swt.widgets.Composite parent,
                                            int style,
                                            org.eclipse.jface.preference.IPreferenceStore store)

Description copied from interface: `IConfigurationUIFactory`
Create an `AbstractConfigurationUI`

Specified by:
  `createUI` in interface `IConfigurationUIFactory`
Parameters:
  `parent` - Parent composite.
  `style` - Style of the new `AbstractConfigurationUI`
  `store` - `IPreferenceStore` to store configuration.
Returns:
  Configuration UI